Debian Bug report logs - #663085
Extending debian/control with specific functions that are supplied

version graph

Package: libbsd0; Maintainer for libbsd0 is Guillem Jover <guillem@debian.org>; Source for libbsd0 is src:libbsd.

Reported by: Regid Ichira <regid23@yahoo.com>

Date: Thu, 8 Mar 2012 11:50:32 UTC

Severity: normal

Found in version libbsd/0.3.0-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#663085; Package libbsd0. (Thu, 08 Mar 2012 11:50:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Regid Ichira <regid23@yahoo.com>:
New Bug report received and forwarded. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Thu, 08 Mar 2012 11:50:42 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Regid Ichira <regid23@yahoo.com>
To: submit@bugs.debian.org
Subject: Extending debian/control with specific functions that are supplied
Date: Thu, 8 Mar 2012 03:28:50 -0800 (PST)
Package:  libbsd0
Version:  0.3.0-2
Seveirty: wishlist

  Please extend the debian/control with a few examples,
or maybe most noticeable functions, that are supplied by
the package.




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 08 Mar 2012 16:45:03 GMT) Full text and rfc822 format available.

Notification sent to Regid Ichira <regid23@yahoo.com>:
Bug acknowledged by developer. (Thu, 08 Mar 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 663085-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Regid Ichira <regid23@yahoo.com>, 663085-done@bugs.debian.org
Subject: Re: Bug#663085: Extending debian/control with specific functions that are supplied
Date: Thu, 8 Mar 2012 17:44:16 +0100
Version: 0.3.0-2

On Thu, 2012-03-08 at 03:28:50 -0800, Regid Ichira wrote:
> Package:  libbsd0
> Version:  0.3.0-2
> Seveirty: wishlist
> 
>   Please extend the debian/control with a few examples,
> or maybe most noticeable functions, that are supplied by
> the package.

This is already present in libbsd-dev Description, the one developers
will be using.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#663085; Package libbsd0. (Fri, 09 Mar 2012 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Regid Ichira <regid23@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Fri, 09 Mar 2012 19:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 663085@bugs.debian.org (full text, mbox):

From: Regid Ichira <regid23@yahoo.com>
To: 663085@bugs.debian.org
Cc: Guillem Jover <guillem@debian.org>
Subject: Re: Bug#663085 closed. Wouldn't non developers might be interested only in the list?
Date: Fri, 9 Mar 2012 11:52:50 -0800 (PST)
  You wrote that the information can be seen by developers at libbsd-dev.

  I think that information is of interest to system administrators, and
other non developers.  The current description is short.  I think the
list from libbsd-dev should be added.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#663085; Package libbsd0. (Fri, 09 Mar 2012 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Fri, 09 Mar 2012 20:12:05 GMT) Full text and rfc822 format available.

Message #20 received at 663085@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Regid Ichira <regid23@yahoo.com>
Cc: 663085@bugs.debian.org, Guillem Jover <guillem@debian.org>
Subject: Re: Extending debian/control with specific functions that are supplied
Date: Fri, 9 Mar 2012 14:09:28 -0600
Regid Ichira wrote:

>   I think that information is of interest to system administrators, and
> other non developers.  The current description is short.  I think the
> list from libbsd-dev should be added.

How about something like this patch?  I think it describes the
character of the package well enough.

Alternatively, the description could say that this library is used to
provide a common implementation for various useful functions that are
well known from BSD, and that basic packages like lynx, cvs, and
bsd-mailx use it to simplify maintenance and ease porting.
---
 debian/changelog |    8 ++++++++
 debian/control   |   12 ++++++------
 2 files changed, 14 insertions(+), 6 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index dbea4e25..63af704e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+libbsd (0.3.0-2.1) local; urgency=low
+
+  * Slightly expand libbsd0, libbsd0-dbg, and libbsd0-udeb package
+    descriptions to hint at why the package might be installed.
+    (Closes: #663085)
+
+ -- Jonathan Nieder <jrnieder@gmail.com>  Fri, 09 Mar 2012 14:04:41 -0600
+
 libbsd (0.3.0-2) unstable; urgency=low
 
   * Make shared library packages multiarch:
diff --git a/debian/control b/debian/control
index c8e679e3..62bf900e 100644
--- a/debian/control
+++ b/debian/control
@@ -51,8 +51,8 @@ Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: net-tools (<< 7.0-2) [kfreebsd-any]
 Description: utility functions from BSD systems - shared library
- This library provides some functions commonly available on BSD systems
- but not on others like GNU systems.
+ This library provides some functions such as strlcpy that are commonly
+ available on BSD systems and not part of glibc.
 
 Package: libbsd0-udeb
 Package-Type: udeb
@@ -60,8 +60,8 @@ Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: utility functions from BSD systems - shared library
- This library provides some functions commonly available on BSD systems
- but not on others like GNU systems.
+ This library provides some functions such as strlcpy that are commonly
+ available on BSD systems and not part of glibc.
 
 Package: libbsd0-dbg
 Section: debug
@@ -70,5 +70,5 @@ Architecture: any
 Multi-Arch: same
 Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
 Description: utility functions from BSD systems - debugging symbols
- This library provides some functions commonly available on BSD systems
- but not on others like GNU systems.
+ This library provides some functions such as strlcpy that are commonly
+ available on BSD systems and not part of glibc.
-- 
1.7.9.2





Bug reopened Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Tue, 20 Mar 2012 10:51:17 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 0.3.0-2. Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Tue, 20 Mar 2012 10:51:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:47:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.